Skip to main content
`Ctrl`+`K`

# EPSMonitorCancel

Clears all monitors for an `EPS` object.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSMonitorCancel(EPS eps)

Logically Collective

## Input Parameter

- eps - the linear eigensolver context

## Options Database Key

- -eps_monitor_cancel - cancels all monitors that have been hardwired into a code by calls to `EPSMonitorSet()`, but does not cancel those set via the options database.

## See Also

EPS: Eigenvalue Problem Solver, `EPSMonitorSet()`

## Level

intermediate

## Location

src/eps/interface/epsmon.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages